{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-clock-o"></i>
                Requested ODs
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

            </div>
            <div class="container" align="center">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4><strong> Full day ODs </strong></h4>
                </div>
            </div>


            <form method="POST">{% csrf_token %}
                <div class="table-responsive">
                    <table class="table table-hover" style="">
                        <thead>
                        <tr>
                            <th>S.No</th>
                            <th>Staff</th>
                            <th>Message</th>
                            <th>Start date</th>
                            <th>End date</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for each in list_of_ods %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{ each.staff }}</td>
                                <td style="word-wrap: break-word">{{ each.message }}</td>
                                <td>{{ each.start_date }}</td>
                                <td>{{ each.end_date }}</td>
                                <td>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn1-sm btn-orange" data-toggle="modal"
                                            data-target="#myModal{{ forloop.counter }}">
                                        Revoke
                                    </button>

                                    <!-- Modal -->
                                    <div class="modal" id="myModal{{ forloop.counter }}" tabindex="-1" role="dialog"
                                         aria-labelledby="myModalLabel1" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title" id="myModalLabel1">Revoke Confirmation</h4>
                                                </div>
                                                <div class="modal-body" id="modal_content{{ forloop.counter }}">
                                                    <div class="form-horizontal form-label-left">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                Reason
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea class="form-control" type="text" readonly
                                                                          disabled>{{ each.message }}</textarea>
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                Start Date
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input class="form-control" type="text"
                                                                       value="{{ each.start_date }}"
                                                                       readonly>
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                End Date
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input class="form-control" type="text"
                                                                       readonly value="{{ each.end_date }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1
                                                    -secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <input class="btn1 btn-deep-orange" style="color: #5b06b5"
                                                           type="submit"
                                                           name="{{ each.id }}" value="Delete">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </form>

            <div class="container" align="center">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4><strong> Hourly ODs </strong></h4>
                </div>
            </div>

            <form method="POST">{% csrf_token %}
                <div class="table-responsive">
                    <table class="table table-hover" style="">
                        <thead>
                        <tr>
                            <th>S.No</th>
                            <th>Staff</th>
                            <th>Message</th>
                            <th>Date</th>
                            <th>Hours</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for each in hourly_list_of_ods %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{ each.staff }}</td>
                                <td style="word-wrap: break-word">{{ each.message }}</td>
                                <td>{{ each.date }}</td>
                                <td>
                                    {% for hour in each.hour.all %}
                                        {{ hour.hour }}&nbsp;&nbsp;
                                    {% endfor %}
                                </td>
                                <td>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn1-sm btn-orange" data-toggle="modal"
                                            data-target="#myModalhour{{ forloop.counter }}">
                                        Revoke
                                    </button>

                                    <!-- Modal -->
                                    <div class="modal" id="myModalhour{{ forloop.counter }}" tabindex="-1" role="dialog"
                                         aria-labelledby="myModalLabel1" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title" id="myModalLabel1">Revoke Confirmation</h4>
                                                </div>
                                                <div class="modal-body" id="modal_contenthour{{ forloop.counter }}">
                                                    <div class="form-horizontal form-label-left">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                Reason
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea class="form-control" type="text"
                                                                          readonly>{{ each.message }}</textarea>
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                Date
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input class="form-control" type="text"
                                                                       value="{{ each.date }}"
                                                                       readonly>
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                                Hours
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea class="form-control" type="text"
                                                                          readonly>{% for hour in each.hour.all %}
                                                                    {{ hour.hour }}&nbsp;&nbsp;{% endfor %}</textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <input class="btn1 btn-deep-orange" style="color: #5b06b5"
                                                           type="submit"
                                                           name="hour.{{ each.id }}" value="Delete">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </form>

        </div>
    </div>
{% endblock %}